GET
/api/v1/container_registry/vulnerabilities/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/container_registry/vulnerabilities/?project_name=<PROJECT_NAME>&repository_name=<REPOSITORY_NAME>&reference=<REFERENCE>&project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/container_registry/vulnerabilities/", params={"project_name": "<PROJECT_NAME>", "repository_name": "<REPOSITORY_NAME>", "reference": "<REFERENCE>", "project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/container_registry/vulnerabilities/");url.search = new URLSearchParams({ project_name: "<PROJECT_NAME>", repository_name: "<REPOSITORY_NAME>", reference: "<REFERENCE>", project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”project_name
required
integer
Container Registry name
repository_name
required
string
Repository Name
reference
required
string
Tag Name
project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Responses
Section titled “Responses”Vulnerability scan completed successfully.
Media typeapplication/json
object
code
integer
data
object
key
additional properties
object
generated_at
string format: date-time
scanner
object
name
string
vendor
string
version
string
severity
string
vulnerabilities
Array<object>
object
id
string
package
string
version
string
fix_version
string
severity
string
description
string
links
Array<string>
artifact_digests
Array<string>
preferred_cvss
object
score_v3
number
score_v2
number
vector_v3
string
vector_v2
string
cwe_ids
Array<string>
vendor_attributes
object
CVSS
object
nvd
object
V2Score
number
V2Vector
string
V3Score
number
V3Vector
string
redhat
object
V2Score
number
V2Vector
string
V3Score
number
V3Vector
string
errors
object
key
additional properties
string
message
string
Example
{ "code": 200, "data": { "additionalProperty": { "generated_at": "2025-04-29T07:23:42.052933653Z", "scanner": { "name": "Trivy", "vendor": "Aqua Security", "version": "v0.35.0" }, "severity": "Critical", "vulnerabilities": [ { "id": "CVE-2011-3374", "package": "apt", "version": "2.6.1", "fix_version": "", "severity": "Low", "description": "It was found that apt-key in apt, all versions, do not correctly validate gpg keys with the master keyring...", "links": [ "https://avd.aquasec.com/nvd/cve-2011-3374" ], "artifact_digests": [ "sha256:846993cfd1ec2f814d7f3cfdc8df7aa67ecfe6ab233fd990c82d34eea47beb8e" ], "preferred_cvss": { "score_v3": null, "score_v2": null, "vector_v3": "", "vector_v2": "" }, "cwe_ids": [ "CWE-347" ], "vendor_attributes": { "CVSS": { "nvd": { "V2Score": 4.3, "V2Vector": "AV:N/AC:M/Au:N/C:N/I:P/A:N", "V3Score": 3.7, "V3Vector": "CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:L/A:N" }, "redhat": { "V2Score": 6.2, "V2Vector": "AV:L/AC:H/Au:N/C:C/I:C/A:C", "V3Score": 8.6, "V3Vector": "CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:C/C:H/I:H/A:H" } } } } ] } }, "errors": {}, "message": "Success"}